org.eclipse.graphiti.ui.internal.figures

## Class GFPolygonDecoration

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.Shape
    - - org.eclipse.graphiti.ui.internal.figures.GFAbstractShape
      - - org.eclipse.graphiti.ui.internal.figures.GFAbstractPointListShape
        - - org.eclipse.graphiti.ui.internal.figures.GFPolyline
          - - org.eclipse.graphiti.ui.internal.figures.GFPolygon
            - - org.eclipse.graphiti.ui.internal.figures.GFPolygonDecoration

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure, org.eclipse.draw2d.RotatableDecoration, org.eclipse.gef.handles.HandleBounds, IVisualStateChangeListener, IVisualStateHolder

    public class GFPolygonDecoration
    extends GFPolygon
    implements org.eclipse.draw2d.RotatableDecoration

A Graphiti Polygon Rotatable Decoration.

Idea: a decorator-template defines the form of the shape. Whenever the decorator-location or decorator-reference-point is set, the decorator-template is translated/rotated depending on them. This transformed decorator-template is then set as the points of this Polygon. Afterwards the real functionality comes from the super-class GFPolygon.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`GFPolygonDecoration(IPictogramElementDelegate pictogramElementDelegate, GraphicsAlgorithm graphicsAlgorithm)` Creates a new GFPolygonDecoration.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setDecoratorTemplate(org.eclipse.draw2d.geometry.PointList points)` Sets the decorator-template which defines the form of the shape.
`void` `setLocation(org.eclipse.draw2d.geometry.Point p)` Sets the decorator-location.
`void` `setReferencePoint(org.eclipse.draw2d.geometry.Point ref)` Sets the decorator-reference-point.

### Methods inherited from class org.eclipse.graphiti.ui.internal.figures.GFPolygon

`containsPointInFigure`

### Methods inherited from class org.eclipse.graphiti.ui.internal.figures.GFPolyline

`getBounds, primTranslate, setGeneralBezierDistance, setLineWidth, setMinimumSelectionLineWidth, setSpecificBezierDistances, setSuppressFilling`

### Methods inherited from class org.eclipse.graphiti.ui.internal.figures.GFAbstractPointListShape

`addPoint, getEnd, getPoints, getStart, insertPoint, removeAllPoints, removePoint, setEnd, setPoint, setPoints, setStart`

### Methods inherited from class org.eclipse.graphiti.ui.internal.figures.GFAbstractShape

`containsPoint, getHandleBounds, getVisualState, paintFigure, setClickArea, setSelectionBorder, visualStateChanged`

### Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Constructor Detail

#### GFPolygonDecoration

    public GFPolygonDecoration(IPictogramElementDelegate pictogramElementDelegate,
                               GraphicsAlgorithm graphicsAlgorithm)

Creates a new GFPolygonDecoration.

Parameters:
  `pictogramElementDelegate` - The PictogramElementDelegate which provides the GraphicsAlgorithm.
  `graphicsAlgorithm` - The GraphicsAlgorithm which provides the values to paint this Shape.

### Method Detail

#### setDecoratorTemplate

    public void setDecoratorTemplate(org.eclipse.draw2d.geometry.PointList points)

Sets the decorator-template which defines the form of the shape.

Parameters:
  `pointList` - The points to set as template.

#### setLocation

    public void setLocation(org.eclipse.draw2d.geometry.Point p)

Sets the decorator-location.

Specified by:
  `setLocation` in interface `org.eclipse.draw2d.IFigure`
Specified by:
  `setLocation` in interface `org.eclipse.draw2d.RotatableDecoration`
Overrides:
  `setLocation` in class `org.eclipse.draw2d.Figure`
Parameters:
  `p` - The decorator-location to set.
See Also:
  `getDecoratorLocation()`

#### setReferencePoint

    public void setReferencePoint(org.eclipse.draw2d.geometry.Point ref)

Sets the decorator-reference-point.

Specified by:
  `setReferencePoint` in interface `org.eclipse.draw2d.RotatableDecoration`
Parameters:
  `ref` - The decorator-reference-point to set.
See Also:
  `getDecoratorReferencePoint()`